curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
},
"dryRun": false
}
'{
"existingManifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>",
"ownedBy": {
"account": "<string>"
}
},
"action": "CREATE",
"data": {}
}Applies a given manifest to create or update resources of specific types, such as provider-account, cluster, workspace, or ml-repo.
curl --request PUT \
--url https://{controlPlaneURL}/api/svc/v1/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"manifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>"
},
"dryRun": false
}
'{
"existingManifest": {
"type": "ml-repo",
"name": "<string>",
"storage_integration_fqn": "<string>",
"collaborators": [
{
"subject": "<string>",
"role_id": "<string>"
}
],
"description": "<string>",
"ownedBy": {
"account": "<string>"
}
},
"action": "CREATE",
"data": {}
}Documentation Index
Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
manifest of the resource to be created or updated
Show child attributes
Dry run the apply operation without actually applying
The resource has been successfully created or updated.
The existing manifest of the resource
Show child attributes
The action performed: CREATE or UPDATE
CREATE, UPDATE The created or updated resource
Was this page helpful?